<?php

/**
 * email.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/*
 * PLEASE DO NOT EDIT THIS FILE DIRECTLY.
 * YOUR CHANGES WILL BE OVERWRITTEN!
 * YOUR PR WITH CHANGES TO THIS FILE WILL BE REJECTED!
 *
 * GO TO CROWDIN TO FIX OR CHANGE TRANSLATIONS!
 *
 * https://crowdin.com/project/firefly-iii
 *
 */


declare(strict_types=1);

return [
    // common items
    'greeting'                                 => 'Komið sæl,',
    'closing'                                  => 'Bíp búp,',
    'signature'                                => 'Tölvupóstsvélmenni Firefly III',
    'footer_ps'                                => 'PS: Þessi skilaboð voru send vegna beiðni frá IP fangi :ipAddress.',

    // admin test
    'admin_test_subject'                       => 'Prufuskilaboð frá Firefly III uppsetningunni þinni',
    'admin_test_body'                          => 'Þetta eru prufuskilaboð frá Firefly III. Þau voru send til :email.',

    /*
 * PLEASE DO NOT EDIT THIS FILE DIRECTLY.
 * YOUR CHANGES WILL BE OVERWRITTEN!
 * YOUR PR WITH CHANGES TO THIS FILE WILL BE REJECTED!
 *
 * GO TO CROWDIN TO FIX OR CHANGE TRANSLATIONS!
 *
 * https://crowdin.com/project/firefly-iii
 *
 */


    // invite
    'invitation_created_subject'               => 'An invitation has been created',
    'invitation_created_body'                  => 'Admin user ":email" created a user invitation which can be used by whoever is behind email address ":invitee". The invite will be valid for 48hrs.',
    'invite_user_subject'                      => 'You\'ve been invited to create a Firefly III account.',
    'invitation_introduction'                  => 'You\'ve been invited to create a Firefly III account on **:host**. Firefly III  is a personal, self-hosted, private personal finance manager. All the cool kids are using it.',
    'invitation_invited_by'                    => 'You\'ve been invited by ":admin" and this invitation was sent to ":invitee". That\'s you, right?',
    'invitation_url'                           => 'The invitation is valid for 48 hours and can be redeemed by surfing to [Firefly III](:url). Enjoy!',

    // new IP
    'login_from_new_ip'                        => 'Ný innskráning í Firefly III',
    'slack_login_from_new_ip'                  => 'New Firefly III login from IP :ip (:host)',
    'new_ip_body'                              => 'Firefly III nam nýja innskráningu á þinn reikning frá óþekktu IP fangi. Ef þú hefur ekki skráð þig inn frá neðangreindu IP fangi á seinustu 6 mánuðum mun Firefly III vara þig við.',
    'new_ip_warning'                           => 'Ef þú þekkir þetta IP fang eða auðkenni geturðu hundsað þessi skilaboð. Ef þú skráðir þig ekki inn eða hefur enga hugmynd um hvað þetta er, breyttu lykilorðinu þínu og skráðu þig út úr öllum öðrum setum. Þetta má gera í gegnum prófílsíðuna. Virkjaðu tveggja þrepa auðkenningu fyrst þú ert að þessu, öryggið á broddinn!',
    'ip_address'                               => 'IP fang',
    'host_name'                                => 'Hýsill',
    'date_time'                                => 'Dagsetning + tími',

    // access token created
    'access_token_created_subject'             => 'Nýr auðkenningartóki var stofnaður',
    'access_token_created_body'                => 'Einhver (vonandi þú) stofnaðir nýjan Firefly III aðganstóka að forritaskilum fyrir þinn notandaaðgang.',
    'access_token_created_explanation'         => 'With this token, they can access **all** of your financial records through the Firefly III API.',
    'access_token_created_revoke'              => 'If this wasn\'t you, please revoke this token as soon as possible at :url',

    // registered
    'registered_subject'                       => 'Velkomin í Firefly III!',
    'registered_subject_admin'                 => 'A new user has registered',
    'admin_new_user_registered'                => 'A new user has registered. User **:email** was given user ID #:id.',
    'registered_welcome'                       => 'Welcome to [Firefly III](:address). Your registration has made it, and this email is here to confirm it. Yay!',
    'registered_pw'                            => 'If you have forgotten your password already, please reset it using [the password reset tool](:address/password/reset).',
    'registered_help'                          => 'Það er hjálpartákn í efra hægra horni hverrar síðu. Ef þig vantar hjálp, smelltu á það!',
    'registered_closing'                       => 'Njótið!',
    'registered_firefly_iii_link'              => 'Firefly III:',
    'registered_pw_reset_link'                 => 'Endursetja lykilorð:',
    'registered_doc_link'                      => 'Leiðbeiningar:',

    /*
 * PLEASE DO NOT EDIT THIS FILE DIRECTLY.
 * YOUR CHANGES WILL BE OVERWRITTEN!
 * YOUR PR WITH CHANGES TO THIS FILE WILL BE REJECTED!
 *
 * GO TO CROWDIN TO FIX OR CHANGE TRANSLATIONS!
 *
 * https://crowdin.com/project/firefly-iii
 *
 */


    // new version
    'new_version_email_subject'                => 'A new Firefly III version is available',

    // email change
    'email_change_subject'                     => 'Firefly III netfangi þínu var breytt',
    'email_change_body_to_new'                 => 'Þú eða einhver með aðgang að Firefly III reikningnum þínum hefur breytt netfanginu þínu. Ef þú bjóst ekki við þessum skilaboðum, vinsamlegast hundsaðu þau og eyddu þeim.',
    'email_change_body_to_old'                 => 'You or somebody with access to your Firefly III account has changed your email address. If you did not expect this to happen, you **must** follow the "undo"-link below to protect your account!',
    'email_change_ignore'                      => 'Ef þú ollir þessum breytingum geturðu með öruggu móti hundsað þessi skilaboð.',
    'email_change_old'                         => 'The old email address was: :email',
    'email_change_old_strong'                  => 'The old email address was: **:email**',
    'email_change_new'                         => 'The new email address is: :email',
    'email_change_new_strong'                  => 'The new email address is: **:email**',
    'email_change_instructions'                => 'You cannot use Firefly III until you confirm this change. Please follow the link below to do so.',
    'email_change_undo_link'                   => 'To undo the change, follow this link:',

    // OAuth token created
    'oauth_created_subject'                    => 'A new OAuth client has been created',
    'oauth_created_body'                       => 'Somebody (hopefully you) just created a new Firefly III API OAuth Client for your user account. It\'s labeled ":name" and has callback URL `:url`.',
    'oauth_created_explanation'                => 'With this client, they can access **all** of your financial records through the Firefly III API.',
    'oauth_created_undo'                       => 'If this wasn\'t you, please revoke this client as soon as possible at `:url`',

    // reset password
    'reset_pw_subject'                         => 'Your password reset request',
    'reset_pw_instructions'                    => 'Somebody tried to reset your password. If it was you, please follow the link below to do so.',
    'reset_pw_warning'                         => '**PLEASE** verify that the link actually goes to the Firefly III you expect it to go!',

    // error
    'error_subject'                            => 'Caught an error in Firefly III',
    'error_intro'                              => 'Firefly III v:version ran into an error: <span style="font-family: monospace;">:errorMessage</span>.',
    'error_type'                               => 'The error was of type ":class".',
    'error_timestamp'                          => 'The error occurred on/at: :time.',
    'error_location'                           => 'This error occurred in file "<span style="font-family: monospace;">:file</span>" on line :line with code :code.',
    'error_user'                               => 'The error was encountered by user #:id, <a href="mailto::email">:email</a>.',
    'error_no_user'                            => 'There was no user logged in for this error or no user was detected.',
    'error_ip'                                 => 'The IP address related to this error is: :ip',
    'error_url'                                => 'URL is: :url',
    'error_user_agent'                         => 'User agent: :userAgent',
    'error_stacktrace'                         => 'The full stacktrace is below. If you think this is a bug in Firefly III, you can forward this message to <a href="mailto:james@firefly-iii.org?subject=I%20found%20a%20bug!">james@firefly-iii.org</a>. This can help fix the bug you just encountered.',
    'error_github_html'                        => 'If you prefer, you can also open a new issue on <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub</a>.',
    'error_github_text'                        => 'If you prefer, you can also open a new issue on https://github.com/firefly-iii/firefly-iii/issues.',
    'error_stacktrace_below'                   => 'The full stacktrace is below:',
    'error_headers'                            => 'The following headers may also be relevant:',
    'error_post'                               => 'This was submitted by the user:',

    /*
 * PLEASE DO NOT EDIT THIS FILE DIRECTLY.
 * YOUR CHANGES WILL BE OVERWRITTEN!
 * YOUR PR WITH CHANGES TO THIS FILE WILL BE REJECTED!
 *
 * GO TO CROWDIN TO FIX OR CHANGE TRANSLATIONS!
 *
 * https://crowdin.com/project/firefly-iii
 *
 */


    // report new journals
    'new_journals_subject'                     => 'Firefly III has created a new transaction|Firefly III has created :count new transactions',
    'new_journals_header'                      => 'Firefly III has created a transaction for you. You can find it in your Firefly III installation:|Firefly III has created :count transactions for you. You can find them in your Firefly III installation:',

    // bill warning
    'bill_warning_subject_end_date'            => 'Your bill ":name" is due to end in :diff days',
    'bill_warning_subject_now_end_date'        => 'Your bill ":name" is due to end TODAY',
    'bill_warning_subject_extension_date'      => 'Your bill ":name" is due to be extended or cancelled in :diff days',
    'bill_warning_subject_now_extension_date'  => 'Your bill ":name" is due to be extended or cancelled TODAY',
    'bill_warning_end_date'                    => 'Your bill **":name"** is due to end on :date. This moment will pass in about **:diff days**.',
    'bill_warning_extension_date'              => 'Your bill **":name"** is due to be extended or cancelled on :date. This moment will pass in about **:diff days**.',
    'bill_warning_end_date_zero'               => 'Your bill **":name"** is due to end on :date. This moment will pass **TODAY!**',
    'bill_warning_extension_date_zero'         => 'Your bill **":name"** is due to be extended or cancelled on :date. This moment will pass **TODAY!**',
    'bill_warning_please_action'               => 'Please take the appropriate action.',

    // user has enabled MFA
    'enabled_mfa_subject'                      => 'You have enabled multi-factor authentication',
    'enabled_mfa_slack'                        => 'You (:email) have enabled multi-factor authentication. Is this not correct? Check your settings!',
    'have_enabled_mfa'                         => 'You have enabled multi-factor authentication on your Firefly III account ":email". This means that you will need to use an authenticator app to log in from now on.',
    'enabled_mfa_warning'                      => 'If you did not enable this, please contact your administrator immediately or check out the Firefly III documentation.',

    'disabled_mfa_subject'                     => 'You have disabled multi-factor authentication!',
    'disabled_mfa_slack'                       => 'You (:email) have disabled multi-factor authentication. Is this not correct? Check your settings!',
    'have_disabled_mfa'                        => 'You have disabled multi-factor authentication on your Firefly III account ":email".',
    'disabled_mfa_warning'                     => 'If you did not disable this, please contact your administrator immediately or check out the Firefly III documentation.',

    'new_backup_codes_subject'                 => 'You have generated new back-up codes',
    'new_backup_codes_slack'                   => 'You (:email) have generated new back-up codes. These can be used to login to Firefly III. Is this not correct? Check your settings!',
    'new_backup_codes_intro'                   => 'You (:email) have generated new back-up codes. These can be used to login to Firefly III if you lose access to your authenticator app.',
    'new_backup_codes_warning'                 => 'Please store these codes in a safe place. If you lose them, you will not be able to log in to Firefly III. If you did not do this, please contact your administrator immediately or check out the Firefly III documentation.',

    'used_backup_code_subject'                 => 'You have used a back-up code to login',
    'used_backup_code_slack'                   => 'You (:email) have used a back-up code to login',

    'used_backup_code_intro'                   => 'You (:email) have used a back-up code to login to Firefly III. You now have one less back-up code to login with. Please remove it from your list.',
    'used_backup_code_warning'                 => 'If you did not do this, please contact your administrator immediately or check out the Firefly III documentation.',

    // few left:
    'mfa_few_backups_left_subject'             => 'You have only :count backup code(s) left!',
    'mfa_few_backups_left_slack'               => 'You (:email) have only :count backup code(s) left!',
    'few_backup_codes_intro'                   => 'You (:email) have used most of your backup codes, and now have only :count left. Please generate new ones as soon as possible.',
    'few_backup_codes_warning'                 => 'Without backup codes, you cannot recover your MFA login if you lose access to your code generator.',

    // NO left:
    'mfa_no_backups_left_subject'              => 'You have NO backup codes left!',
    'mfa_no_backups_left_slack'                => 'You (:email) NO backup codes left!',
    'no_backup_codes_intro'                    => 'You (:email) have used ALL of your backup codes. Please generate new ones as soon as possible.',
    'no_backup_codes_warning'                  => 'Without backup codes, you cannot recover your MFA login if you lose access to your code generator.',

    // many failed MFA attempts
    'mfa_many_failed_subject'                  => 'You have tried and failed to use multi-factor authentication :count times now!',
    'mfa_many_failed_slack'                    => 'You (:email) have tried and failed to use multi-factor authentication :count times now. Is this not correct? Check your settings!',
    'mfa_many_failed_attempts_intro'           => 'You (:email) have tried :count times to use a multi-factor authentication code, but these login attempts have failed. Are you sure you are using the right MFA code? Are you sure the time on the server is correct?',
    'mfa_many_failed_attempts_warning'         => 'If you did not do this, please contact your administrator immediately or check out the Firefly III documentation.',

];
/*
 * PLEASE DO NOT EDIT THIS FILE DIRECTLY.
 * YOUR CHANGES WILL BE OVERWRITTEN!
 * YOUR PR WITH CHANGES TO THIS FILE WILL BE REJECTED!
 *
 * GO TO CROWDIN TO FIX OR CHANGE TRANSLATIONS!
 *
 * https://crowdin.com/project/firefly-iii
 *
 */
