<?php declare(strict_types=1);

namespace Neomerx\JsonApi\Contracts\Http\Query;

/**
 * Copyright 2015-2020 info@neomerx.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @package Neomerx\JsonApi
 */
interface BaseQueryParserInterface
{
    /** Parameter name */
    public const PARAM_INCLUDE = 'include';

    /** Parameter name */
    public const PARAM_FIELDS = 'fields';

    /** Parameter name */
    public const PARAM_SORT = 'sort';

    /** Parameter name */
    public const PARAM_PAGE = 'page';

    /** Parameter name */
    public const PARAM_FILTER = 'filter';

    /** Parameter name */
    public const PARAM_PROFILE = 'profile';

    /**
     * @return iterable
     */
    public function getIncludes(): iterable;

    /**
     * @return iterable
     */
    public function getFields(): iterable;

    /**
     * @return iterable
     */
    public function getSorts(): iterable;
}
